<?php
/********************************************************************/
/* Copyright (c) 2012-2015 Ynamics SARL                             */
/* 203, rue Michel Carré, 95870 Bezons                              */
/* France                                                           */
/********************************************************************/
/* Copying and use prohibited without prior written authorisation.  */
/********************************************************************/
/* @copyright Copyright (c) 2012-2015, Ynamics SARL                 */
/* @license Proprietary, use prohibited without prior written       */
/*          authorisation                                           */
/* @link http://www.ynamics.com/                                    */
/* @author Mario De Weerd                                           */
/********************************************************************/
class JSNGlobalOptions extends CModel {
    /**
     * If false, all loggers are disabled.
     * optional bool true
     */
    public $enabled;

    /**
     * Limits total number of messages sent to the server. See remarks below.
     * optional number no maximum
     */
    public $maxMessages;

    /**
     * Default url used by ajax appenders when no url is set. See remarks below.
     * optional string see remarks
     */
    public $defaultAjaxUrl;

    /**
     * The IP address of the browser. Used with the ipRegex option of loggersand appenders.
     * optional string (empty)
     */
    public $clientIP;

    /**
     * Sent with all log messages to the server, so make it easier to identify all log messages for a given request. Reported via the %requestIdplaceholder of theserverSideMessageFormat attribute of the <jsnlog> Element.
     * optional string (empty)
     */
    public $requestId;

    public function attributeNames() {
        return array('enabled','maxMessages','defaultAjaxUrl','clientIP','requestId');
    }

    public function getOptions() {
        $result=array();
        foreach($this->attributeNames() as $attribute) {
            if(isset($this->$attribute)) {
                $result[$attribute]=$this->$attribute;
            }
        }
        return $result;
    }
}
